import type { Position, Range, WorkspaceEdit } from 'vscode-languageserver/node';
import { ResponseError } from 'vscode-languageserver/node';
import type { SourceFiles } from '../sourceFiles';
import type { ApiLanguageServiceContext } from '../types';
import type { TsMappingData } from '../utils/sourceMaps';
export declare function register({ sourceFiles, getCssLs, getTsLs, scriptTsLs }: ApiLanguageServiceContext): {
    prepareRename: (uri: string, position: Position) => ResponseError | Range | undefined;
    doRename: (uri: string, position: Position, newName: string) => Promise<WorkspaceEdit | undefined>;
    onRenameFile: (oldUri: string, newUri: string) => Promise<WorkspaceEdit | undefined>;
};
export declare function margeWorkspaceEdits(original: WorkspaceEdit, ...others: WorkspaceEdit[]): void;
export declare function tsEditToVueEdit(lsType: 'script' | 'template', tsResult: WorkspaceEdit, sourceFiles: SourceFiles, isValidRange: (data?: TsMappingData) => boolean): WorkspaceEdit | undefined;
