"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDummyTsLs = void 0;
const shared_1 = require("@volar/shared");
const ts2 = require("vscode-typescript-languageservice");
// Fast dummy TS language service, only has one script.
let dummyTsScriptVersion = 0;
let dummyTsScriptKind = 3;
let dummyTsScript;
let dummyTsLs;
function getDummyTsLs(ts, doc, getPreferences, getFormatOptions) {
    if (!dummyTsLs) {
        dummyTsLs = ts2.createLanguageService(ts, {
            getPreferences,
            getFormatOptions,
            getCompilationSettings: () => ({}),
            getScriptFileNames: () => [shared_1.uriToFsPath(shared_1.fsPathToUri(`dummy.${dummyTsScriptVersion}.ts`))],
            getScriptVersion: () => dummyTsScriptVersion.toString(),
            getScriptSnapshot: () => dummyTsScript,
            getScriptKind: () => dummyTsScriptKind,
            getCurrentDirectory: () => '',
            getDefaultLibFileName: () => '',
        });
    }
    dummyTsScriptVersion++;
    switch (doc.languageId) {
        case 'javascript':
            dummyTsScriptKind = ts.ScriptKind.JS;
            break;
        case 'typescript':
            dummyTsScriptKind = ts.ScriptKind.TS;
            break;
        case 'javascriptreact':
            dummyTsScriptKind = ts.ScriptKind.JSX;
            break;
        case 'typescriptreact':
            dummyTsScriptKind = ts.ScriptKind.TSX;
            break;
        default:
            dummyTsScriptKind = ts.ScriptKind.TS;
            break;
    }
    dummyTsScript = ts.ScriptSnapshot.fromString(doc.getText());
    return {
        ls: dummyTsLs,
        uri: shared_1.fsPathToUri(`dummy.${dummyTsScriptVersion}.ts`),
    };
}
exports.getDummyTsLs = getDummyTsLs;
//# sourceMappingURL=sharedLs.js.map