import type { IDescriptor } from '../types';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { Ref } from '@vue/reactivity';
import { TsSourceMap, TeleportSourceMap } from '../utils/sourceMaps';
export declare function useTemplateLsScript(lsType: 'template' | 'script', ts: typeof import('typescript/lib/tsserverlibrary'), vueDoc: Ref<TextDocument>, script: Ref<IDescriptor['script']>, scriptSetup: Ref<IDescriptor['scriptSetup']>, html: Ref<string | undefined>): {
    scriptSetupRanges: import("@vue/reactivity").ComputedRef<{
        labels: (import("../parsers/types").TextRange & {
            binarys: {
                parent: import("../parsers/types").TextRange;
                vars: (import("../parsers/types").TextRange & {
                    isShortand: boolean;
                    inRoot: boolean;
                })[];
                left: import("../parsers/types").TextRange;
                right: (import("../parsers/types").TextRange & {
                    isComputedCall: boolean;
                    withoutAs: import("../parsers/types").TextRange;
                    as: import("../parsers/types").TextRange | undefined;
                }) | undefined;
            }[];
            label: import("../parsers/types").TextRange;
            parent: import("../parsers/types").TextRange;
        })[];
        bindings: import("../parsers/types").TextRange[];
        dollars: number[];
        withDefaultsArg: import("../parsers/types").TextRange | undefined;
        propsRuntimeArg: import("../parsers/types").TextRange | undefined;
        propsTypeArg: import("../parsers/types").TextRange | undefined;
        emitsRuntimeArg: import("../parsers/types").TextRange | undefined;
        emitsTypeArg: import("../parsers/types").TextRange | undefined;
    } | undefined>;
    textDocument: import("@vue/reactivity").ComputedRef<TextDocument>;
    textDocumentForSuggestion: import("@vue/reactivity").ComputedRef<TextDocument | undefined>;
    sourceMap: import("@vue/reactivity").ComputedRef<TsSourceMap>;
    sourceMapForSuggestion: import("@vue/reactivity").ComputedRef<TsSourceMap | undefined>;
    teleportSourceMap: import("@vue/reactivity").ComputedRef<TeleportSourceMap>;
};
